# Makefile.in generated by automake 1.16.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@
VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
subdir = tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_blas.m4 \
	$(top_srcdir)/m4/ax_compare_version.m4 \
	$(top_srcdir)/m4/ax_cxx11_thread.m4 \
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx_17.m4 \
	$(top_srcdir)/m4/ax_lapack.m4 \
	$(top_srcdir)/m4/ax_latex_class.m4 \
	$(top_srcdir)/m4/ax_latex_test.m4 $(top_srcdir)/m4/ax_matio.m4 \
	$(top_srcdir)/m4/ax_matlab.m4 \
	$(top_srcdir)/m4/ax_matlab_arch.m4 \
	$(top_srcdir)/m4/ax_matlab_batch_options.m4 \
	$(top_srcdir)/m4/ax_matlab_version.m4 \
	$(top_srcdir)/m4/ax_mexext.m4 $(top_srcdir)/m4/ax_prog_ln_s.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_CXXFLAGS = @AM_CXXFLAGS@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AM_LDFLAGS = @AM_LDFLAGS@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BIBTEX = @BIBTEX@
BLAS_LIBS = @BLAS_LIBS@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPPFLAGS = @CPPFLAGS@
CPPFLAGS_MATIO = @CPPFLAGS_MATIO@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
FLIBS = @FLIBS@
GREP = @GREP@
HAVE_CXX17 = @HAVE_CXX17@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LAPACK_LIBS = @LAPACK_LIBS@
LDFLAGS = @LDFLAGS@
LDFLAGS_MATIO = @LDFLAGS_MATIO@
LEX = @LEX@
LEXLIB = @LEXLIB@
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
LIBADD_MATIO = @LIBADD_MATIO@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MATLAB = @MATLAB@
MATLAB_ARCH = @MATLAB_ARCH@
MATLAB_BATCH_OPTIONS = @MATLAB_BATCH_OPTIONS@
MATLAB_VERSION = @MATLAB_VERSION@
MEXEXT = @MEXEXT@
MKDIR_P = @MKDIR_P@
OBJEXT = @OBJEXT@
OCTAVE = @OCTAVE@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PDFLATEX = @PDFLATEX@
RANLIB = @RANLIB@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SPHINXBUILD = @SPHINXBUILD@
STRIP = @STRIP@
THREAD_CXXFLAGS = @THREAD_CXXFLAGS@
VERSION = @VERSION@
YACC = @YACC@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
ax_latex_have_beamer = @ax_latex_have_beamer@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
runstatedir = @runstatedir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
subdirs = @subdirs@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
MODFILES = \
	walsh.mod \
	optimizers/fs2000_6.mod \
	moments/example1_hp_test.mod \
	moments/fs2000_post_moments.mod \
	lmmcp/rbcii.mod \
	lmmcp/purely_backward.mod \
	lmmcp/purely_forward.mod \
	ep/rbc_mc.mod \
	estimation/TaRB/fs2000_tarb.mod \
	observation_trends_and_prefiltering/MCMC/Trend_loglin_no_prefilt_first_obs_MC.mod \
	observation_trends_and_prefiltering/MCMC/Trend_loglinear_no_prefilter_MC.mod \
	observation_trends_and_prefiltering/MCMC/Trend_no_prefilter_first_obs_MC.mod \
	observation_trends_and_prefiltering/MCMC/Trend_no_prefilter_MC.mod \
	observation_trends_and_prefiltering/MCMC/Trend_loglin_prefilt_first_obs_MC.mod \
	observation_trends_and_prefiltering/MCMC/Trend_prefilter_MC.mod \
	observation_trends_and_prefiltering/MCMC/Trend_prefilter_first_obs_MC.mod \
	dates/dseries_interact.mod \
	dates/fs2000.mod \
	estimation/slice/fs2000_slice.mod \
	optimizers/fs2000_9.mod \
	optimizers/fs2000_10.mod \
	analytic_derivatives/fs2000_analytic_derivation.mod \
	analytic_derivatives/BrockMirman_PertParamsDerivs.mod \
	analytic_derivatives/burnside_3_order_PertParamsDerivs.mod \
	pruning/AnSchorfheide_pruned_state_space.mod \
	measurement_errors/fs2000_corr_me_ml_mcmc/fs2000_corr_ME.mod \
	TeX/fs2000_corr_ME.mod \
	estimation/MH_recover/fs2000_recover_tarb.mod \
	estimation/fs2000.mod \
	gsa/ls2003a.mod \
	optimizers/fs2000_8.mod \
	optimizers/fs2000_8_with_optim.mod \
	estimation/fs2000_MCMC_jumping_covariance.mod \
	ms-sbvar/test_ms_variances_repeated_runs.mod \
	fs2000/fs2000.mod \
	ls2003/ls2003_hessian_zero.mod \
	ep/rbc.mod \
	estimation/fs2000_with_weibull_prior.mod \
	estimation/fs2000_initialize_from_calib.mod	\
	estimation/fs2000_estimated_params_init.mod	\
	estimation/fs2000_calibrated_covariance.mod \
	estimation/fs2000_model_comparison.mod \
	estimation/fs2000_fast.mod \
	estimation/ls2003_endog_prior_restrict_estimation.mod \
	estimation/independent_mh/fs2000_independent_mh.mod \
	estimation/MH_recover/fs2000_recover.mod \
	estimation/MH_recover/fs2000_recover_2.mod \
	estimation/MH_recover/fs2000_recover_3.mod \
	estimation/t_proposal/fs2000_student.mod \
	estimation/tune_mh_jscale/fs2000.mod \
	moments/example1_var_decomp.mod \
	moments/example1_bp_test.mod \
	moments/test_AR1_spectral_density.mod \
	moments/example1_one_sided_hp_test.mod \
	gsa/ls2003.mod \
	gsa/cod_ML_morris/cod_ML_morris.mod \
	gsa/morris/nk_est.mod \
	ramst.mod \
	ramst_a.mod \
	ramst_static_tag.mod \
	on-the-fly/ex1.mod \
	on-the-fly/ex2.mod \
	on-the-fly/ex3.mod \
	on-the-fly/ex4.mod \
	on-the-fly/ex5.mod \
	on-the-fly/ex6.mod \
	example1.mod \
	example2.mod \
	example1_use_dll.mod \
	example1_with_tags.mod \
	example1_irf_shocks.mod \
	example1_abs_sign.mod \
	example1_macro.mod \
	example1_mlv.mod \
	example1long.mod \
	example2long.mod \
	example2long_use_dll.mod \
	t_sgu_ex1.mod \
	irfs/example1_unit_std.mod \
	optimal_policy/OSR/osr_example.mod \
	optimal_policy/OSR/osr_example_objective_correctness.mod \
	optimal_policy/OSR/osr_example_obj_corr_non_stat_vars.mod \
	optimal_policy/OSR/osr_example_param_bounds.mod \
	optimal_policy/OSR/osr_obj_corr_algo_1.mod \
	optimal_policy/OSR/osr_obj_corr_algo_3.mod \
	optimal_policy/OSR/osr_obj_corr_algo_4.mod \
	optimal_policy/OSR/osr_obj_corr_algo_7.mod \
	optimal_policy/OSR/osr_obj_corr_algo_8.mod \
	optimal_policy/OSR/osr_obj_corr_algo_9.mod \
	optimal_policy/ramsey_.mod \
	optimal_policy/nk_ramsey.mod \
	optimal_policy/nk_ramsey_model.mod \
	optimal_policy/nk_ramsey_det.mod \
	optimal_policy/nk_ramsey_expectation.mod \
	optimal_policy/nk_ramsey_expectation_a.mod \
	optimal_policy/mult_elimination_test.mod \
	optimal_policy/Ramsey/ramsey_ex_initval.mod \
	optimal_policy/Ramsey/ramsey_ex.mod \
	optimal_policy/Ramsey/ramsey_ex_initval_AR2.mod \
	optimal_policy/Ramsey/ramsey_ex_aux.mod \
	optimal_policy/Ramsey/ramsey_histval.mod \
	optimal_policy/Ramsey/Gali_commitment.mod \
	optimal_policy/RamseyConstraints/test1.mod \
	optimal_policy/Ramsey/Ramsey_Example_estimation.mod \
	discretionary_policy/dennis_1.mod \
	discretionary_policy/dennis_1_estim.mod \
	discretionary_policy/Gali_discretion.mod \
	initval_file/ramst_initval_file.mod \
	initval_file/ramst_datafile.mod \
	ramst_normcdf_and_friends.mod \
	ramst_vec.mod \
	example1_varexo_det.mod \
	predetermined_variables.mod \
	fs2000_ssfile.mod \
	comments.mod \
	histval_sto.mod \
	histval_det.mod \
	histval_predetermined.mod \
	auxiliary_variables/test1.mod \
	expectations/expectation.mod \
	expectations/expectation_ss.mod \
	expectations/expectation_ss_old.mod \
	expectations/expectation_nested.mod \
	steady_state/walsh1_initval.mod \
	steady_state/walsh1_old_ss.mod \
	steady_state/walsh1_ssm.mod \
	steady_state/walsh1_ssm_block.mod \
	steady_state/multi_leads.mod \
	steady_state/example1_trust_region.mod \
	steady_state_operator/standard.mod \
	steady_state_operator/use_dll.mod \
	steady_state_operator/block.mod \
	steady_state_operator/bytecode_test.mod \
	block_bytecode/ireland.mod \
	block_bytecode/ramst_normcdf_and_friends.mod \
	k_order_perturbation/fs2000k2a.mod \
	k_order_perturbation/fs2000k2_use_dll.mod \
	k_order_perturbation/fs2000k_1_use_dll.mod \
	k_order_perturbation/fs2000k3_use_dll.mod \
	k_order_perturbation/fs2000k2_m.mod \
	k_order_perturbation/fs2000k_1_m.mod \
	k_order_perturbation/fs2000k3_m.mod \
	k_order_perturbation/fs2000k3_p.mod \
	k_order_perturbation/fs2000k4.mod \
	k_order_perturbation/burnside_k_order.mod \
	partial_information/PItest3aHc0PCLsimModPiYrVarobsAll.mod \
	partial_information/PItest3aHc0PCLsimModPiYrVarobsCNR.mod \
	arima/mod1.mod \
	arima/mod1a.mod \
	arima/mod1b.mod \
	arima/mod1c.mod \
	arima/mod2.mod \
	arima/mod2a.mod \
	arima/mod2b.mod \
	arima/mod2c.mod \
	data/mod1a.mod \
	fs2000/fs2000a.mod \
	fs2000/fs2000c.mod \
	fs2000/fs2000_calib.mod \
	fs2000/fs2000_calib_dseries.mod \
	fs2000/fs2000_missing_data.mod \
	fs2000/fs2000_sd.mod \
	fs2000/fs2000_dseries_a.mod \
	fs2000/fs2000_dseries_b.mod \
	homotopy/homotopy1_test.mod \
	homotopy/homotopy2_test.mod \
	homotopy/homotopy3_test.mod \
	bvar_a_la_sims/bvar_standalone.mod \
	bvar_a_la_sims/bvar_and_dsge.mod \
	AIM/fs2000x10L9_L.mod \
	AIM/fs2000x10L9_L_AIM.mod \
	AIM/fs2000x10_L9_L.mod \
	AIM/fs2000x10_L9_L_AIM.mod \
	AIM/fs2000_b1L1L.mod \
	AIM/fs2000_b1L1L_AIM.mod \
	AIM/ls2003_2L0L.mod \
	AIM/ls2003_2L0L_AIM.mod \
	AIM/ls2003_2L2L.mod \
	AIM/ls2003_2L2L_AIM.mod \
	conditional_variance_decomposition/example1.mod \
	dsge-var/simul_hybrid.mod \
	dsge-var/dsgevar_forward_calibrated_lambda.mod \
	dsge-var/dsgevar_forward_estimated_lambda.mod \
	external_function/benchmark.mod \
	external_function/first_deriv_given.mod \
	external_function/first_deriv_given_dll.mod \
	external_function/first_and_2nd_deriv_given.mod \
	external_function/first_and_2nd_deriv_given_namespace.mod \
	external_function/first_and_2nd_deriv_given_dll.mod \
	external_function/first_and_2nd_deriv_given_dll_namespace.mod \
	external_function/no_deriv_given.mod \
	external_function/no_deriv_given_dll.mod \
	external_function/extfun_in_mlv.mod \
	seeds.mod \
	minimal_state_space_system/as2007_minimal.mod \
	minimal_state_space_system/sw_minimal.mod \
	identification/kim/kim2.mod \
	identification/as2007/as2007.mod \
	identification/as2007/as2007_kronflags.mod \
	identification/as2007/as2007_QT.mod \
	identification/as2007/as2007_QT_equal_autocorr.mod \
	identification/as2007/as2007_order_1_2_3.mod \
	identification/as2007/as2007_order3_no_stoch_simul.mod \
	identification/BrockMirman/BrockMirman.mod \
	identification/cgg/cgg_criteria_differ.mod \
	identification/ident_unit_root/ident_unit_root.mod \
	identification/rbc_ident/rbc_ident_std_as_structural_par.mod \
	identification/rbc_ident/rbc_ident_varexo_only.mod \
	identification/correlated_errors/fs2000_corr.mod \
	identification/forward_looking/forward_looking.mod \
	simul/example1.mod \
	simul/Solow_no_varexo.mod \
	simul/simul_ZLB_purely_forward.mod \
	simul/simul_ZLB_purely_forward_no_solution.mod \
	simul/Irreversible_investment.mod \
	simul/linear_state_space_arma.mod \
	conditional_forecasts/1/fs2000_cal.mod \
	conditional_forecasts/2/fs2000_est.mod \
	conditional_forecasts/3/fs2000_conditional_forecast_initval.mod \
	conditional_forecasts/4/fs2000_conditional_forecast_histval.mod \
	conditional_forecasts/5/fs2000_cal.mod \
	conditional_forecasts/6/fs2000_cal.mod \
	recursive/ls2003.mod \
	recursive/ls2003_bayesian.mod \
	recursive/ls2003_bayesian_xls.mod \
	recursive/ls2003_bayesian_csv.mod \
	ms-sbvar/test_exclusions.mod \
	ms-sbvar/test_exclusions_nc.mod \
	ms-sbvar/test_lower_cholesky.mod \
	ms-sbvar/test_lower_cholesky_a.mod \
	ms-sbvar/test_lower_cholesky_nc.mod \
	ms-sbvar/test_upper_cholesky.mod \
	ms-sbvar/test_upper_cholesky_nc.mod \
	ms-sbvar/test_ms_variances.mod \
	ms-dsge/test_ms_dsge.mod \
	kalman/lyapunov/fs2000_lyap.mod \
	kalman/lik_init/fs2000_ns_lik_init_2.mod \
	kalman/lik_init/fs2000_ns_lik_init_3.mod \
	kalman/lik_init/fs2000_ns_lik_init_5.mod \
	kalman/lik_init/fs2000_lik_init_1.mod \
	kalman/lik_init/fs2000_lik_init_2.mod \
	kalman/lik_init/fs2000_lik_init_3.mod \
	kalman/lik_init/fs2000_lik_init_4.mod \
	kalman/lik_init/fs2000_lik_init_5.mod \
	kalman_filter_smoother/gen_data.mod \
	kalman_filter_smoother/algo1.mod \
	kalman_filter_smoother/algo2.mod \
	kalman_filter_smoother/algo3.mod \
	kalman_filter_smoother/algo4.mod \
	kalman_filter_smoother/algo4a.mod \
	kalman_filter_smoother/algo4b.mod \
	kalman_filter_smoother/algoH1.mod \
	kalman_filter_smoother/algoH2.mod \
	kalman_filter_smoother/algoH3.mod \
	kalman_filter_smoother/fs2000.mod \
	kalman_filter_smoother/fs2000_1.mod \
	kalman_filter_smoother/fs2000_2.mod \
	kalman_filter_smoother/fs2000a.mod \
	kalman_filter_smoother/fs2000_smoother_only.mod \
	kalman_filter_smoother/fs2000_smoother_only_ns.mod \
	kalman_filter_smoother/test_compute_Pinf_Pstar_data.mod \
	kalman_filter_smoother/test_compute_Pinf_Pstar.mod \
	kalman_filter_smoother/SOE.mod \
	kalman_filter_smoother/check_variable_dimensions/fs2000.mod \
	kalman_filter_smoother/check_variable_dimensions/fs2000_ML.mod \
	kalman/likelihood_from_dynare/fs2000_corr_ME.mod \
	kalman/likelihood_from_dynare/fs2000_corr_ME_missing.mod \
	kalman/likelihood_from_dynare/fs2000_uncorr_ME.mod \
	kalman/likelihood_from_dynare/fs2000_uncorr_ME_missing.mod \
	kalman/likelihood_from_dynare/fs2000ns_corr_ME.mod \
	kalman/likelihood_from_dynare/fs2000ns_corr_ME_missing.mod \
	kalman/likelihood_from_dynare/fs2000ns_uncorr_ME.mod \
	kalman/likelihood_from_dynare/fs2000ns_uncorr_ME_missing.mod \
	second_order/burnside_1.mod \
	kalman_filter_smoother/compare_results_simulation/fs2000_ML.mod \
	kalman_filter_smoother/compare_results_simulation/fs2000_ML_loglinear.mod \
	kalman_filter_smoother/compare_results_simulation/fs2000.mod \
	kalman_filter_smoother/compare_results_simulation/fs2000_loglinear.mod \
	second_order/burnside_1.mod \
	second_order/ds1.mod \
	second_order/ds2.mod \
	ep/rbc2.mod \
	ep/rbcii.mod \
	ep/linearmodel0.mod \
	ep/linearmodel1.mod \
	ep/rbc_bytecode.mod \
	stochastic_simulations/example1_noprint.mod \
	stochastic-backward-models/solow_cd.mod \
	stochastic-backward-models/solow_ces.mod \
	stochastic-backward-models/solow_cd_with_steadystate.mod \
	deterministic_simulations/purely_forward/ar1.mod \
	deterministic_simulations/purely_forward/nk.mod \
	deterministic_simulations/purely_backward/ar1.mod \
	deterministic_simulations/rbc_det1.mod \
	deterministic_simulations/rbc_det2.mod \
	deterministic_simulations/rbc_det3.mod \
	deterministic_simulations/rbc_det4.mod \
	deterministic_simulations/rbc_det5.mod \
	deterministic_simulations/rbc_det6.mod \
	deterministic_simulations/homotopy.mod \
	deterministic_simulations/homotopy_histval.mod \
	deterministic_simulations/rbc_det_exo_lag_2a.mod \
	deterministic_simulations/rbc_det_exo_lag_2b.mod \
	deterministic_simulations/rbc_det_exo_lag_2c.mod \
	deterministic_simulations/multiple_lead_lags/sim_base.mod \
	deterministic_simulations/multiple_lead_lags/sim_exo_lead_lag_aux_vars.mod \
	deterministic_simulations/multiple_lead_lags/sim_exo_lead_lag.mod \
	deterministic_simulations/multiple_lead_lags/sim_endo_lead_lag_aux_vars.mod \
	deterministic_simulations/multiple_lead_lags/sim_endo_lead_lag.mod \
	deterministic_simulations/multiple_lead_lags/sim_lead_lag_aux_vars.mod \
	deterministic_simulations/multiple_lead_lags/sim_lead_lag.mod \
	deterministic_simulations/lola_solve_one_boundary.mod \
	deterministic_simulations/linear_approximation/sw.mod \
	deterministic_simulations/multiple_lead_lags/AR2.mod \
	deterministic_simulations/multiple_lead_lags/AR2_forward.mod \
	deterministic_simulations/multiple_lead_lags/ramst_augmented_histval.mod \
	deterministic_simulations/rbc_det.mod \
	deterministic_simulations/rbc_det_stack_solve_algo_7.mod \
	deterministic_simulations/rbc_det_stack_solve_algo_7_exo_lag.mod \
	deterministic_simulations/rbc_det_stack_solve_algo_7_exo_lead.mod \
	lmmcp/rbc.mod \
	lmmcp/sw_lmmcp.mod \
	lmmcp/sw_newton.mod \
	trend_var/fs2000_nonstationary.mod \
	trend_var/fs2000_log_nonstationary.mod \
	decision_rules/third_order/FV2011.mod \
	decision_rules/example1.mod \
	decision_rules/ar_qz_test.mod \
	shock_decomposition/example1_calib_shock_decomp.mod \
	shock_decomposition/fs2000_est.mod \
	shock_decomposition/fs2000_est_varlist.mod \
	shock_decomposition/fs2000_cal_groups.mod \
	shock_decomposition/ls2003_plot.mod \
	stochastic_purely_forward/stochastic_purely_forward.mod \
	stochastic_purely_forward/stochastic_purely_forward_with_static.mod \
	forecast/Hansen_exo_det_forecast.mod \
	forecast/linear_exo_det_forecast.mod \
	forecast/ls2003_rolling_window_forecast.mod \
	gradient/fs2000_numgrad_13.mod \
	gradient/fs2000_numgrad_15.mod \
	gradient/fs2000_numgrad_2.mod \
	gradient/fs2000_numgrad_3.mod \
	gradient/fs2000_numgrad_5.mod \
	filter_step_ahead/fs2000_filter_step_ahead_bayesian.mod \
	filter_step_ahead/fs2000_filter_step_ahead_ML.mod \
	filter_step_ahead/trend_cycle_decomposition.mod \
	loglinear/example4_exp.mod \
	loglinear/example4_loglinear.mod \
	loglinear/example4_loglinear_lagged_exogenous.mod \
	loglinear/example4_loglinear_lagged_exogenous_a.mod \
	loglinear/example4_exp_histval.mod \
	loglinear/example4_loglinear_histval.mod \
	smoother2histval/fs2000_simul.mod \
	smoother2histval/fs2000_smooth.mod \
	smoother2histval/fs2000_smooth_stoch_simul.mod \
	optimizers/fs2000_1.mod \
	optimizers/fs2000_2.mod \
	optimizers/fs2000_3.mod \
	optimizers/fs2000_4.mod \
	optimizers/fs2000_4_with_optim.mod \
	optimizers/fs2000_5.mod \
	optimizers/fs2000_7.mod \
	optimizers/fs2000_101.mod \
	optimizers/fs2000_102.mod \
	optimizers/fs2000_w.mod \
	epilogue/example1.mod \
	differentiate_forward_vars/RBC_differentiate_forward.mod \
	partitioning/partitions.mod \
	prior_posterior_function/fs2000_prior_posterior_function.mod \
	observation_trends_and_prefiltering/MCMC/Trend_loglinear_prefilter_MC.mod \
	observation_trends_and_prefiltering/ML/Trend_loglinear_no_prefilter.mod \
	observation_trends_and_prefiltering/ML/Trend_loglinear_no_prefilter_first_obs.mod \
	observation_trends_and_prefiltering/ML/Trend_loglinear_prefilter.mod \
	observation_trends_and_prefiltering/ML/Trend_loglinear_prefilter_first_obs.mod \
	observation_trends_and_prefiltering/ML/Trend_no_prefilter.mod \
	observation_trends_and_prefiltering/ML/Trend_no_prefilter_first_obs.mod \
	observation_trends_and_prefiltering/ML/Trend_prefilter.mod \
	observation_trends_and_prefiltering/ML/Trend_prefilter_first_obs.mod \
	observation_trends_and_prefiltering/calib_smoother/Tr_no_prefilter_calib_smoother.mod \
	observation_trends_and_prefiltering/calib_smoother/Tr_no_prefilt_first_obs_cal_smooth.mod \
	observation_trends_and_prefiltering/calib_smoother/Tr_prefilter_calib_smoother.mod \
	observation_trends_and_prefiltering/calib_smoother/Tr_prefilt_first_obs_cal_smooth.mod \
	observation_trends_and_prefiltering/calib_smoother/Tr_no_prefilter_loglin_calib_smoother.mod \
	observation_trends_and_prefiltering/calib_smoother/Tr_no_prefil_f_obs_loglin_cal_smoother.mod \
	observation_trends_and_prefiltering/calib_smoother/Tr_prefilter_loglin_calib_smoother.mod \
	observation_trends_and_prefiltering/calib_smoother/Tr_prefil_f_obs_loglin_cal_smoother.mod \
	observation_trends_and_prefiltering/ML/Trend_no_prefilter_selected_var.mod \
	dynare-command-options/ramst.mod \
	particle/local_state_space_iteration_k_test.mod

PARTICLEFILES = \
	particle/dsge_base2.mod \
	particle/dsge_unit_root.mod

XFAIL_MODFILES = ramst_xfail.mod \
	estim_param_in_shock_value_xfail.mod \
	optimal_policy/Ramsey/ramsey_ex_wrong_ss_file_xfail.mod \
	estimation/fs2000_mixed_ML_xfail.mod \
	estimation/fs2000_stochastic_singularity_xfail.mod \
	identification/ident_unit_root/ident_unit_root_xfail.mod \
	identification/LindeTrabandt/LindeTrabandt2019_xfail.mod \
	steady_state/Linear_steady_state_xfail.mod \
	optimal_policy/Ramsey/ramsey_histval_xfail.mod \
	example1_extra_exo_xfail.mod

MFILES = initval_file/ramst_initval_file_data.m

# Matlab TRS Files
M_TRS_FILES = $(patsubst %.mod, %.m.trs, $(MODFILES)) \
	run_block_byte_tests_matlab.m.trs \
	run_reporting_test_matlab.m.trs run_all_unitary_tests.m.trs
M_XFAIL_TRS_FILES = $(patsubst %.mod, %.m.trs, $(XFAIL_MODFILES))

# Octave TRS Files
O_TRS_FILES = $(patsubst %.mod, %.o.trs, $(MODFILES)) \
	run_block_byte_tests_octave.o.trs \
	run_reporting_test_octave.o.trs run_all_unitary_tests.o.trs
O_XFAIL_TRS_FILES = $(patsubst %.mod, %.o.trs, $(XFAIL_MODFILES))

# Matlab TLS Files
M_TLS_FILES = $(patsubst %.m, %.m.tls, $(MFILES))

# Octave TLS Files
O_TLS_FILES = $(patsubst %.m, %.o.tls, $(MFILES))
EXTRA_DIST = \
	read_trs_files.sh \
	run_test_matlab.m \
	run_test_octave.m \
	run_m_script.m \
	load_octave_packages.m \
	$(MODFILES) \
	$(XFAIL_MODFILES) \
	$(MFILES) \
	run_block_byte_tests_matlab.m \
	run_block_byte_tests_octave.m \
	run_reporting_test_matlab.m \
	run_reporting_test_octave.m \
	run_all_unitary_tests.m \
	+matlab/+namespace/y_k.m \
	reporting/AnnualTable.m \
	reporting/CommResidTablePage.m \
	reporting/CountryGraphPage.m \
	reporting/CountryTablePage.m \
	reporting/ResidTablePage.m \
	reporting/db_a.csv \
	reporting/db_q.csv \
	reporting/dc_a.csv \
	reporting/dc_q.csv \
	reporting/runDynareReport.m \
	homotopy/common.mod \
	block_bytecode/ls2003.mod \
	fs2000_ssfile_aux.m \
	utils/printMakeCheckMatlabErrMsg.m \
	utils/printMakeCheckOctaveErrMsg.m \
	utils/fataltest.m \
	AIM/data_ca1.m \
	AIM/fsdat.m \
	block_bytecode/run_ls2003.m \
	bvar_a_la_sims/bvar_sample.m \
	dates/fsdat_simul.m \
	dates/data_uav.xls \
	dates/data_uav.xlsx \
	external_function/extFunDeriv.m \
	external_function/extFunNoDerivs.m \
	external_function/extFunWithFirstAndSecondDerivs.m \
	external_function/+matlab/+namespace/extFunNoDerivsNamespace.m \
	external_function/+matlab/+namespace/extFunWithFirstAndSecondDerivsNamespace.m \
	expectations/expectation_ss_old_steadystate.m \
	filter_step_ahead/trend_cycle_decomposition_data.m \
	steady_state/walsh1_old_ss_steadystate.m \
	data/test.xls \
	data/test.xlsx \
	gsa/morris/nk_est_data.m \
	gsa/data_ca1.m \
	gsa/data_ca1.mat \
	analytic_derivatives/fsdat_simul.m \
	analytic_derivatives/nBrockMirmanSYM.mat \
	pruning/Andreasen_et_al_2018_Dynare44Pruning_v2.mat \
	fs2000/fsdat_simul.m \
	fs2000/fsdat_simul_dseries.m \
	fs2000/fsdat_simul_missing_obs.m \
	ls2003/data_ca1.m \
	measurement_errors/data_ca1.m \
	measurement_errors/fs2000_corr_me_ml_mcmc/fsdat_simul.m \
	missing/simulate_data_with_missing_observations.m \
	objectives/sgu_ex1.mat \
	conditional_forecasts/2/fsdat_simul.m \
	ms-sbvar/data.m \
	ms-sbvar/archive-files/ftd_2s_caseall_upperchol3v.m \
	ms-sbvar/archive-files/ftd_2s_caseall_upperchol4v.m \
	ms-sbvar/archive-files/ftd_2s_caseall_upperchol6v.m \
	ms-sbvar/archive-files/ftd_2s_caseall_upperchol7v.m \
	ms-sbvar/archive-files/ftd_RSvensson_4v.m \
	ms-sbvar/archive-files/ftd_cholesky.m \
	ms-sbvar/archive-files/ftd_non_rec_5v.m \
	ms-sbvar/archive-files/ftd_simszha5v.m \
	ms-sbvar/archive-files/ftd_upperchol3v.m \
	ms-sbvar/archive-files/ftd_upperchol4v.m \
	ms-sbvar/archive-files/ftd_upperchol5v.m \
	ms-sbvar/archive-files/ftd_upperchol6v.m \
	ms-sbvar/archive-files/ftd_upperchol7v.m \
	ms-sbvar/archive-files/specification_2v.dat \
	ms-sbvar/archive-files/specification_2v2c.dat \
	recursive/data_ca1.m \
	recursive/data_ca1_csv.csv \
	recursive/data_ca1_xls.xls \
	recursive/data_ca1_xls.xlsx \
	kalman_filter_smoother/fsdat_simul.m \
	kalman/lik_init/fs2000_common.inc \
	kalman/lik_init/fs2000_ns_common.inc \
	kalman_filter_smoother/compare_results_simulation/fsdat_simul_logged.m \
	kalman_filter_smoother/SOE_data_file.m \
	kalman/likelihood_from_dynare/fs2000_model.inc \
	kalman/likelihood_from_dynare/fs2000_estimation_check.inc \
	kalman/likelihood_from_dynare/fs2000ns_model.inc \
	kalman/likelihood_from_dynare/fs2000ns_estimation_check.inc \
	identification/as2007/G_QT.mat \
	estimation/fsdat_simul.m \
	ep/mean_preserving_spread.m \
	ep/rbcii_steady_state.m \
	decision_rules/example1_results_dyn_432.mat \
	decision_rules/third_order/comparison_policy_functions_dynare_mathematica.m \
	decision_rules/third_order/FV_2011_policyfunctions.mat \
	shock_decomposition/example1_calib_shock_decomp_data.mat \
	shock_decomposition/fsdat_simul.m \
	smoother2histval/fsdat_simul.m \
	optimal_policy/Ramsey/find_c.m \
	optimal_policy/Ramsey/oo_ramsey_policy_initval.mat \
	observation_trends_and_prefiltering/generate_trend_stationary_AR1.m \
	observation_trends_and_prefiltering/Trend_diagnostics_MCMC_common.inc \
	observation_trends_and_prefiltering/Trend_diagnostics_calib_common.inc \
	observation_trends_and_prefiltering/Trend_diagnostics_ML_common.inc \
	observation_trends_and_prefiltering/Trend_exp_model_prefilter_common.inc \
	observation_trends_and_prefiltering/Trend_exp_model_no_prefilter_common.inc \
	observation_trends_and_prefiltering/Trend_model_prefilter_common.inc \
	observation_trends_and_prefiltering/Trend_model_no_prefilter_common.inc \
	observation_trends_and_prefiltering/Trend_exp_model_calib_prefilter_common.inc \
	observation_trends_and_prefiltering/Trend_exp_model_calib_no_prefilter_common.inc \
	observation_trends_and_prefiltering/Trend_model_calib_prefilter_common.inc \
	observation_trends_and_prefiltering/Trend_model_calib_no_prefilter_common.inc \
	observation_trends_and_prefiltering/Trend_load_data_common.inc \
	observation_trends_and_prefiltering/Trend_no_prefilter_conditional_forecast.inc \
	optimal_policy/Ramsey/oo_ramsey_policy_initval.mat \
	optimizers/optimizer_function_wrapper.m \
	optimizers/fs2000.common.inc \
	estimation/MH_recover/fs2000.common.inc \
	prior_posterior_function/posterior_function_demo.m \
	deterministic_simulations/lola_data.mat \
	k_order_perturbation/fs2000k++.mod \
	lmmcp/sw-common-header.inc \
	lmmcp/sw-common-footer.inc

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign tests/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
@ENABLE_MATLAB_FALSE@@ENABLE_OCTAVE_FALSE@check-local:
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-local
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-local mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: check-am install-am install-strip

.PHONY: all all-am check check-am check-local clean clean-generic \
	clean-local cscopelist-am ctags-am distclean distclean-generic \
	distdir dvi dvi-am html html-am info info-am install \
	install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic pdf pdf-am ps ps-am tags-am uninstall \
	uninstall-am

.PRECIOUS: Makefile


# Dependencies
example1_use_dll.m.trs: example1.m.trs
example1_use_dll.o.trs: example1.o.trs

example2long_use_dll.m.trs: example1long.m.trs
example2long_use_dll.o.trs: example1long.o.trs

example2long.m.trs: example1long.m.trs
example2long.o.trs: example1long.o.trs

estimation/MH_recover/fs2000_recover_tarb.m.trs: estimation/MH_recover/fs2000_recover.m.trs
estimation/MH_recover/fs2000_recover_tarb.o.trs: estimation/MH_recover/fs2000_recover.o.trs

k_order_perturbation/fs2000k_1_m.m.trs: k_order_perturbation/fs2000k2_m.m.trs
k_order_perturbation/fs2000k2_m.m.trs k_order_perturbation/fs2000k3_m.m.trs k_order_perturbation/fs2000k2_use_dll.m.trs k_order_perturbation/fs2000k3_use_dll.m.trs: k_order_perturbation/fs2000k2a.m.trs
k_order_perturbation/fs2000k_1_use_dll.m.trs: k_order_perturbation/fs2000k2_use_dll.m.trs
k_order_perturbation/fs2000k4.m.trs: k_order_perturbation/fs2000k++.mat

k_order_perturbation/fs2000k_1_m.o.trs: k_order_perturbation/fs2000k2_m.o.trs
k_order_perturbation/fs2000k2_m.o.trs k_order_perturbation/fs2000k3_m.o.trs k_order_perturbation/fs2000k2_use_dll.o.trs k_order_perturbation/fs2000k3_use_dll.o.trs: k_order_perturbation/fs2000k2a.o.trs
k_order_perturbation/fs2000k_1_use_dll.o.trs: k_order_perturbation/fs2000k2_use_dll.o.trs
k_order_perturbation/fs2000k4.o.trs: k_order_perturbation/fs2000k++.mat

k_order_perturbation/fs2000k++.mat: k_order_perturbation/fs2000k++.mod ../dynare++/src/dynare++$(EXEEXT)
	cd k_order_perturbation && ../../dynare++/src/dynare++ --order 3 --no-centralize fs2000k++.mod

kalman_filter_smoother/algo1.m.trs kalman_filter_smoother/algo3.m.trs kalman_filter_smoother/algo4a.m.trs kalman_filter_smoother/algo4b.m.trs kalman_filter_smoother/algoH1.m.trs kalman_filter_smoother/algoH3.m.trs kalman_filter_smoother/fs2000.m.trs kalman_filter_smoother/fs2000_1.m.trs kalman_filter_smoother/fs2000_2.m.trs kalman_filter_smoother/fs2000a.m.trs: kalman_filter_smoother/gen_data.m.trs
kalman_filter_smoother/algo1.o.trs kalman_filter_smoother/algo3.o.trs kalman_filter_smoother/algo4a.o.trs kalman_filter_smoother/algo4b.o.trs kalman_filter_smoother/algoH1.o.trs kalman_filter_smoother/algoH3.o.trs kalman_filter_smoother/fs2000.o.trs kalman_filter_smoother/fs2000_1.o.trs kalman_filter_smoother/fs2000_2.o.trs kalman_filter_smoother/fs2000a.o.trs: kalman_filter_smoother/gen_data.o.trs

kalman_filter_smoother/algo2.m.trs: kalman_filter_smoother/algo1.m.trs
kalman_filter_smoother/algo2.o.trs: kalman_filter_smoother/algo1.o.trs

kalman_filter_smoother/algoH2.m.trs: kalman_filter_smoother/algoH1.m.trs
kalman_filter_smoother/algoH2.o.trs: kalman_filter_smoother/algoH1.o.trs

kalman_filter_smoother/algo4.m.trs: kalman_filter_smoother/algo3.m.trs
kalman_filter_smoother/algo4.o.trs: kalman_filter_smoother/algo3.o.trs

kalman_filter_smoother/test_compute_Pinf_Pstar.m.trs: kalman_filter_smoother/test_compute_Pinf_Pstar_data.m.trs
kalman_filter_smoother/test_compute_Pinf_Pstar.o.trs: kalman_filter_smoother/test_compute_Pinf_Pstar_data.o.trs

optimal_policy/nk_ramsey_expectation_a.m.trs: optimal_policy/nk_ramsey_expectation.m.trs
optimal_policy/nk_ramsey_expectation_a.o.trs: optimal_policy/nk_ramsey_expectation.o.trs

second_order/ds2.m.trs: second_order/ds1.m.trs
second_order/ds2.o.trs: second_order/ds1.o.trs

AIM/fs2000_b1L1L_AIM.m.trs: AIM/fs2000_b1L1L.m.trs
AIM/fs2000x10L9_L_AIM.m.trs: AIM/fs2000x10L9_L.m.trs
AIM/fs2000x10_L9_L_AIM.m.trs: AIM/fs2000x10_L9_L.m.trs
AIM/ls2003_2L0L_AIM.m.trs: AIM/ls2003_2L0L.m.trs
AIM/ls2003_2L2L_AIM.m.trs: AIM/ls2003_2L2L.m.trs
AIM/fs2000_b1L1L_AIM.o.trs: AIM/fs2000_b1L1L.o.trs
AIM/fs2000x10L9_L_AIM.o.trs: AIM/fs2000x10L9_L.o.trs
AIM/fs2000x10_L9_L_AIM.o.trs: AIM/fs2000x10_L9_L.o.trs
AIM/ls2003_2L0L_AIM.o.trs: AIM/ls2003_2L0L.o.trs
AIM/ls2003_2L2L_AIM.o.trs: AIM/ls2003_2L2L.o.trs

estimation/fs2000_model_comparison.m.trs: estimation/fs2000.m.trs estimation/fs2000_initialize_from_calib.m.trs estimation/fs2000_calibrated_covariance.m.trs
estimation/fs2000_model_comparison.o.trs: estimation/fs2000.o.trs estimation/fs2000_initialize_from_calib.o.trs estimation/fs2000_calibrated_covariance.o.trs

optimizers/fs2000_102.m.trs: estimation/fs2000.m.trs
optimizers/fs2000_102.o.trs: estimation/fs2000.o.trs

arima/mod1a.m.trs: arima/mod1.m.trs
arima/mod1b.m.trs: arima/mod1.m.trs
arima/mod1c.m.trs: arima/mod1.m.trs
arima/mod1a.o.trs: arima/mod1.o.trs
arima/mod1b.o.trs: arima/mod1.o.trs
arima/mod1c.o.trs: arima/mod1.o.trs
arima/mod2a.m.trs: arima/mod2.m.trs
arima/mod2b.m.trs: arima/mod2.m.trs
arima/mod2c.m.trs: arima/mod2.m.trs
arima/mod2a.o.trs: arima/mod2.o.trs
arima/mod2b.o.trs: arima/mod2.o.trs
arima/mod2c.o.trs: arima/mod2.o.trs

dsge-var/dsgevar_forward_calibrated_lambda.m.trs: dsge-var/simul_hybrid.m.trs
dsge-var/dsgevar_forward_estimated_lambda.m.trs: dsge-var/simul_hybrid.m.trs
dsge-var/dsgevar_forward_calibrated_lambda.o.trs: dsge-var/simul_hybrid.o.trs
dsge-var/dsgevar_forward_estimated_lambda.o.trs: dsge-var/simul_hybrid.o.trs

external_function/first_deriv_given.m.trs: external_function/benchmark.m.trs
external_function/first_deriv_given.o.trs: external_function/benchmark.o.trs
external_function/first_deriv_given_dll.m.trs: external_function/benchmark.m.trs
external_function/first_deriv_given_dll.o.trs: external_function/benchmark.o.trs
external_function/first_and_2nd_deriv_given.m.trs: external_function/benchmark.m.trs
external_function/first_and_2nd_deriv_given.o.trs: external_function/benchmark.o.trs
external_function/first_and_2nd_deriv_given_dll.m.trs: external_function/benchmark.m.trs
external_function/first_and_2nd_deriv_given_dll.o.trs: external_function/benchmark.o.trs
external_function/first_and_2nd_deriv_given_namespace.m.trs: external_function/benchmark.m.trs
external_function/first_and_2nd_deriv_given_namespace.o.trs: external_function/benchmark.o.trs
external_function/first_and_2nd_deriv_given_dll_namespace.m.trs: external_function/benchmark.m.trs
external_function/first_and_2nd_deriv_given_dll_namespace.o.trs: external_function/benchmark.o.trs
external_function/no_deriv_given.m.trs: external_function/benchmark.m.trs
external_function/no_deriv_given.o.trs: external_function/benchmark.o.trs
external_function/no_deriv_given_dll.m.trs: external_function/benchmark.m.trs
external_function/no_deriv_given_dll.o.trs: external_function/benchmark.o.trs
external_function/extfun_in_mlv.m.trs: external_function/benchmark.m.trs
external_function/extfun_in_mlv.o.trs: external_function/benchmark.o.trs

smoother2histval/fs2000_simul.m.trs: smoother2histval/fs2000_smooth.m.trs
smoother2histval/fs2000_simul.o.trs: smoother2histval/fs2000_smooth.o.trs

deterministic_simulations/rbc_det_exo_lag_2b.m.trs: deterministic_simulations/rbc_det_exo_lag_2a.m.trs
deterministic_simulations/rbc_det_exo_lag_2c.m.trs: deterministic_simulations/rbc_det_exo_lag_2a.m.trs
deterministic_simulations/rbc_det_exo_lag_2b.o.trs: deterministic_simulations/rbc_det_exo_lag_2a.o.trs
deterministic_simulations/rbc_det_exo_lag_2c.o.trs: deterministic_simulations/rbc_det_exo_lag_2a.o.trs
deterministic_simulations/rbc_det_stack_solve_algo_7.m.trs: deterministic_simulations/rbc_det.m.trs
deterministic_simulations/rbc_det_stack_solve_algo_7.o.trs: deterministic_simulations/rbc_det.o.trs
deterministic_simulations/rbc_det_stack_solve_algo_7_exo_lead.m.trs: deterministic_simulations/rbc_det.m.trs
deterministic_simulations/rbc_det_stack_solve_algo_7_exo_lead.o.trs: deterministic_simulations/rbc_det.o.trs
deterministic_simulations/rbc_det_stack_solve_algo_7_exo_lag.m.trs: deterministic_simulations/rbc_det.m.trs
deterministic_simulations/rbc_det_stack_solve_algo_7_exo_lag.o.trs: deterministic_simulations/rbc_det.o.trs

initval_file/ramst_initval_file.m.trs: initval_file/ramst_initval_file_data.m.tls
initval_file/ramst_initval_file.o.trs: initval_file/ramst_initval_file_data.o.tls
initval_file/ramst_datafile.m.trs: initval_file/ramst_initval_file_data.m.tls
initval_file/ramst_datafile.o.trs: initval_file/ramst_initval_file_data.o.tls

identification/rbc_ident/rbc_ident_varexo_only.m.trs: identification/rbc_ident/rbc_ident_std_as_structural_par.m.trs
identification/rbc_ident/rbc_ident_varexo_only.o.trs: identification/rbc_ident/rbc_ident_std_as_structural_par.o.trs

deterministic_simulations/multiple_lead_lags/sim_exo_lead_lag_aux_vars.m.trs: deterministic_simulations/multiple_lead_lags/sim_base.m.trs
deterministic_simulations/multiple_lead_lags/sim_exo_lead_lag_aux_vars.o.trs: deterministic_simulations/multiple_lead_lags/sim_base.o.trs

deterministic_simulations/multiple_lead_lags/sim_exo_lead_lag.m.trs: deterministic_simulations/multiple_lead_lags/sim_base.m.trs deterministic_simulations/multiple_lead_lags/sim_exo_lead_lag_aux_vars.m.trs
deterministic_simulations/multiple_lead_lags/sim_exo_lead_lag.o.trs: deterministic_simulations/multiple_lead_lags/sim_base.o.trs deterministic_simulations/multiple_lead_lags/sim_exo_lead_lag_aux_vars.o.trs

deterministic_simulations/multiple_lead_lags/sim_endo_lead_lag_aux_vars.m.trs: deterministic_simulations/multiple_lead_lags/sim_base.m.trs
deterministic_simulations/multiple_lead_lags/sim_endo_lead_lag_aux_vars.o.trs: deterministic_simulations/multiple_lead_lags/sim_base.o.trs

deterministic_simulations/multiple_lead_lags/sim_endo_lead_lag.m.trs: deterministic_simulations/multiple_lead_lags/sim_base.m.trs deterministic_simulations/multiple_lead_lags/sim_endo_lead_lag_aux_vars.m.trs
deterministic_simulations/multiple_lead_lags/sim_endo_lead_lag.o.trs: deterministic_simulations/multiple_lead_lags/sim_base.o.trs deterministic_simulations/multiple_lead_lags/sim_endo_lead_lag_aux_vars.o.trs

deterministic_simulations/multiple_lead_lags/sim_lead_lag_aux_vars.m.trs: deterministic_simulations/multiple_lead_lags/sim_base.m.trs
deterministic_simulations/multiple_lead_lags/sim_lead_lag_aux_vars.o.trs: deterministic_simulations/multiple_lead_lags/sim_base.o.trs

deterministic_simulations/multiple_lead_lags/sim_lead_lag.m.trs: deterministic_simulations/multiple_lead_lags/sim_base.m.trs deterministic_simulations/multiple_lead_lags/sim_lead_lag_aux_vars.m.trs
deterministic_simulations/multiple_lead_lags/sim_lead_lag.o.trs: deterministic_simulations/multiple_lead_lags/sim_base.o.trs deterministic_simulations/multiple_lead_lags/sim_lead_lag_aux_vars.o.trs

deterministic_simulations/multiple_lead_lags/ramst_augmented_histval.m.trs: ramst.m.trs
deterministic_simulations/multiple_lead_lags/ramst_augmented_histval.o.trs: ramst.o.trs

loglinear/example4_loglinear.m.trs: loglinear/example4_exp.m.trs
loglinear/example4_loglinear.o.trs: loglinear/example4_exp.o.trs
loglinear/example4_loglinear_lagged_exogenous_a.m.trs: loglinear/example4_loglinear_lagged_exogenous.m.trs
loglinear/example4_loglinear_lagged_exogenous_a.o.trs: loglinear/example4_loglinear_lagged_exogenous.o.trs

loglinear/example4_loglinear_histval.m.trs: loglinear/example4_exp_histval.m.trs
loglinear/example4_loglinear_histval.o.trs: loglinear/example4_exp_histval.o.trs

observation_trends_and_prefiltering/ML/Trend_loglinear_no_prefilter_first_obs.m.trs: observation_trends_and_prefiltering/ML/Trend_loglinear_no_prefilter.m.trs
observation_trends_and_prefiltering/ML/Trend_loglinear_no_prefilter_first_obs.o.trs: observation_trends_and_prefiltering/ML/Trend_loglinear_no_prefilter.o.trs
observation_trends_and_prefiltering/ML/Trend_loglinear_no_prefilter.m.trs: observation_trends_and_prefiltering/ML/Trend_no_prefilter.m.trs
observation_trends_and_prefiltering/ML/Trend_loglinear_no_prefilter.o.trs: observation_trends_and_prefiltering/ML/Trend_no_prefilter.o.trs

observation_trends_and_prefiltering/MCMC/Trend_no_prefilter_first_obs_MC.m.trs: observation_trends_and_prefiltering/MCMC/Trend_loglinear_no_prefilter_MC.m.trs
observation_trends_and_prefiltering/MCMC/Trend_no_prefilter_first_obs_MC.o.trs: observation_trends_and_prefiltering/MCMC/Trend_loglinear_no_prefilter_MC.o.trs
observation_trends_and_prefiltering/MCMC/Trend_no_prefilter_MC.m.trs: observation_trends_and_prefiltering/MCMC/Trend_no_prefilter_first_obs_MC.m.trs
observation_trends_and_prefiltering/MCMC/Trend_no_prefilter_MC.o.trs: observation_trends_and_prefiltering/MCMC/Trend_no_prefilter_first_obs_MC.o.trs
observation_trends_and_prefiltering/MCMC/Trend_loglinear_prefilter_MC.m.trs: observation_trends_and_prefiltering/MCMC/Trend_no_prefilter_MC.m.trs
observation_trends_and_prefiltering/MCMC/Trend_loglinear_prefilter_MC.o.trs: observation_trends_and_prefiltering/MCMC/Trend_no_prefilter_MC.o.trs
observation_trends_and_prefiltering/MCMC/Trend_loglin_prefilt_first_obs_MC.m.trs: observation_trends_and_prefiltering/MCMC/Trend_loglinear_prefilter_MC.m.trs
observation_trends_and_prefiltering/MCMC/Trend_loglin_prefilt_first_obs_MC.o.trs: observation_trends_and_prefiltering/MCMC/Trend_loglinear_prefilter_MC.o.trs
observation_trends_and_prefiltering/MCMC/Trend_prefilter_first_obs_MC.m.trs: observation_trends_and_prefiltering/MCMC/Trend_loglin_prefilt_first_obs_MC.m.trs
observation_trends_and_prefiltering/MCMC/Trend_prefilter_first_obs_MC.o.trs: observation_trends_and_prefiltering/MCMC/Trend_loglin_prefilt_first_obs_MC.o.trs
observation_trends_and_prefiltering/MCMC/Trend_prefilter_MC.m.trs: observation_trends_and_prefiltering/MCMC/Trend_prefilter_first_obs_MC.m.trs
observation_trends_and_prefiltering/MCMC/Trend_prefilter_MC.o.trs: observation_trends_and_prefiltering/MCMC/Trend_prefilter_first_obs_MC.o.trs
observation_trends_and_prefiltering/MCMC/Trend_loglin_no_prefilt_first_obs_MC.m.trs: observation_trends_and_prefiltering/MCMC/Trend_prefilter_MC.m.trs
observation_trends_and_prefiltering/MCMC/Trend_loglin_no_prefilt_first_obs_MC.o.trs: observation_trends_and_prefiltering/MCMC/Trend_prefilter_MC.o.trs

observation_trends_and_prefiltering/calib_smoother/Tr_no_prefil_f_obs_loglin_cal_smoother.m.trs: observation_trends_and_prefiltering/calib_smoother/Tr_no_prefilter_calib_smoother.m.trs
observation_trends_and_prefiltering/calib_smoother/Tr_no_prefil_f_obs_loglin_cal_smoother.o.trs: observation_trends_and_prefiltering/calib_smoother/Tr_no_prefilter_calib_smoother.o.trs
observation_trends_and_prefiltering/calib_smoother/Tr_no_prefilter_loglin_calib_smoother.m.trs: observation_trends_and_prefiltering/calib_smoother/Tr_no_prefil_f_obs_loglin_cal_smoother.m.trs
observation_trends_and_prefiltering/calib_smoother/Tr_no_prefilter_loglin_calib_smoother.o.trs: observation_trends_and_prefiltering/calib_smoother/Tr_no_prefil_f_obs_loglin_cal_smoother.o.trs
observation_trends_and_prefiltering/calib_smoother/Tr_no_prefilt_first_obs_cal_smooth.m.trs: observation_trends_and_prefiltering/calib_smoother/Tr_no_prefilter_loglin_calib_smoother.m.trs
observation_trends_and_prefiltering/calib_smoother/Tr_no_prefilt_first_obs_cal_smooth.o.trs: observation_trends_and_prefiltering/calib_smoother/Tr_no_prefilter_loglin_calib_smoother.o.trs
observation_trends_and_prefiltering/calib_smoother/Tr_prefil_f_obs_loglin_cal_smoother.m.trs: observation_trends_and_prefiltering/calib_smoother/Tr_no_prefilt_first_obs_cal_smooth.m.trs
observation_trends_and_prefiltering/calib_smoother/Tr_prefil_f_obs_loglin_cal_smoother.o.trs: observation_trends_and_prefiltering/calib_smoother/Tr_no_prefilt_first_obs_cal_smooth.o.trs
observation_trends_and_prefiltering/calib_smoother/Tr_prefilter_calib_smoother.m.trs: observation_trends_and_prefiltering/calib_smoother/Tr_prefil_f_obs_loglin_cal_smoother.m.trs
observation_trends_and_prefiltering/calib_smoother/Tr_prefilter_calib_smoother.o.trs: observation_trends_and_prefiltering/calib_smoother/Tr_prefil_f_obs_loglin_cal_smoother.o.trs
observation_trends_and_prefiltering/calib_smoother/Tr_prefilter_loglin_calib_smoother.m.trs: observation_trends_and_prefiltering/calib_smoother/Tr_prefilter_calib_smoother.m.trs
observation_trends_and_prefiltering/calib_smoother/Tr_prefilter_loglin_calib_smoother.o.trs: observation_trends_and_prefiltering/calib_smoother/Tr_prefilter_calib_smoother.o.trs
observation_trends_and_prefiltering/calib_smoother/Tr_prefilt_first_obs_cal_smooth.m.trs: observation_trends_and_prefiltering/calib_smoother/Tr_prefilter_loglin_calib_smoother.m.trs
observation_trends_and_prefiltering/calib_smoother/Tr_prefilt_first_obs_cal_smooth.o.trs: observation_trends_and_prefiltering/calib_smoother/Tr_prefilter_loglin_calib_smoother.o.trs

kalman/likelihood_from_dynare/fs2000_corr_ME.m.trs: kalman/likelihood_from_dynare/fs2000_uncorr_ME.m.trs
kalman/likelihood_from_dynare/fs2000_corr_ME.o.trs: kalman/likelihood_from_dynare/fs2000_uncorr_ME.o.trs
kalman/likelihood_from_dynare/fs2000_uncorr_ME_missing.m.trs: kalman/likelihood_from_dynare/fs2000_uncorr_ME.m.trs
kalman/likelihood_from_dynare/fs2000_uncorr_ME_missing.o.trs: kalman/likelihood_from_dynare/fs2000_uncorr_ME.o.trs
kalman/likelihood_from_dynare/fs2000_corr_ME_missing.m.trs: kalman/likelihood_from_dynare/fs2000_uncorr_ME.m.trs
kalman/likelihood_from_dynare/fs2000_corr_ME_missing.o.trs: kalman/likelihood_from_dynare/fs2000_uncorr_ME.o.trs

kalman/likelihood_from_dynare/fs2000ns_corr_ME.m.trs: kalman/likelihood_from_dynare/fs2000ns_uncorr_ME.m.trs
kalman/likelihood_from_dynare/fs2000ns_corr_ME.o.trs: kalman/likelihood_from_dynare/fs2000ns_uncorr_ME.o.trs
kalman/likelihood_from_dynare/fs2000ns_uncorr_ME_missing.m.trs: kalman/likelihood_from_dynare/fs2000ns_uncorr_ME.m.trs
kalman/likelihood_from_dynare/fs2000ns_uncorr_ME_missing.o.trs: kalman/likelihood_from_dynare/fs2000ns_uncorr_ME.o.trs
kalman/likelihood_from_dynare/fs2000ns_corr_ME_missing.m.trs: kalman/likelihood_from_dynare/fs2000ns_uncorr_ME.m.trs
kalman/likelihood_from_dynare/fs2000ns_corr_ME_missing.o.trs: kalman/likelihood_from_dynare/fs2000ns_uncorr_ME.o.trs

lmmcp/sw_newton.m.trs: lmmcp/sw_lmmcp.m.trs
lmmcp/sw_newton.o.trs: lmmcp/sw_lmmcp.o.trs

discretionary_policy/dennis_1_estim.m.trs: discretionary_policy/dennis_1.m.trs
discretionary_policy/dennis_1_estim.o.trs: discretionary_policy/dennis_1.o.trs

observation_trends_and_prefiltering/MCMC: m/observation_trends_and_prefiltering/MCMC o/observation_trends_and_prefiltering/MCMC
m/observation_trends_and_prefiltering/MCMC: $(patsubst %.mod, %.m.trs, $(filter observation_trends_and_prefiltering/MCMC/%.mod, $(MODFILES)))
o/observation_trends_and_prefiltering/MCMC: $(patsubst %.mod, %.o.trs, $(filter observation_trends_and_prefiltering/MCMC/%.mod, $(MODFILES)))

observation_trends_and_prefiltering/ML: m/observation_trends_and_prefiltering/ML o/observation_trends_and_prefiltering/ML
m/observation_trends_and_prefiltering/ML: $(patsubst %.mod, %.m.trs, $(filter observation_trends_and_prefiltering/ML/%.mod, $(MODFILES)))
o/observation_trends_and_prefiltering/ML: $(patsubst %.mod, %.o.trs, $(filter observation_trends_and_prefiltering/ML/%.mod, $(MODFILES)))

observation_trends_and_prefiltering/calib_smoother: m/observation_trends_and_prefiltering/calib_smoother o/observation_trends_and_prefiltering/calib_smoother
m/observation_trends_and_prefiltering/calib_smoother: $(patsubst %.mod, %.m.trs, $(filter observation_trends_and_prefiltering/calib_smoother/%.mod, $(MODFILES)))
o/observation_trends_and_prefiltering/calib_smoother: $(patsubst %.mod, %.o.trs, $(filter observation_trends_and_prefiltering/calib_smoother/%.mod, $(MODFILES)))

observation_trends_and_prefiltering: m/observation_trends_and_prefiltering o/observation_trends_and_prefiltering
m/observation_trends_and_prefiltering: $(patsubst %.mod, %.m.trs, $(filter observation_trends_and_prefiltering/%.mod, $(MODFILES)))
o/observation_trends_and_prefiltering: $(patsubst %.mod, %.o.trs, $(filter observation_trends_and_prefiltering/%.mod, $(MODFILES)))

stochastic-backward-models: m/stochastic-backward-models o/stochastic-backward-models
m/stochastic-backward-models: $(patsubst %.mod, %.m.trs, $(filter stochastic-backward-models/%.mod, $(MODFILES)))
o/stochastic-backward-models: $(patsubst %.mod, %.o.trs, $(filter stochastic-backward-models/%.mod, $(MODFILES)))

arima: m/arima o/arima
m/arima: $(patsubst %.mod, %.m.trs, $(filter arima/%.mod, $(MODFILES)))
o/arima: $(patsubst %.mod, %.o.trs, $(filter arima/%.mod, $(MODFILES)))

homotopy: m/homotopy o/homotopy
m/homotopy: $(patsubst %.mod, %.m.trs, $(filter homotopy/%.mod, $(MODFILES)))
o/homotopy: $(patsubst %.mod, %.o.trs, $(filter homotopy/%.mod, $(MODFILES)))

expectations: m/expectations o/expectations
m/expectations: $(patsubst %.mod, %.m.trs, $(filter expectations/%.mod, $(MODFILES)))
o/expectations: $(patsubst %.mod, %.o.trs, $(filter expectations/%.mod, $(MODFILES)))

external_function: m/external_function o/external_function
m/external_function: $(patsubst %.mod, %.m.trs, $(filter external_function/%.mod, $(MODFILES)))
o/external_function: $(patsubst %.mod, %.o.trs, $(filter external_function/%.mod, $(MODFILES)))

on-the-fly: m/on-the-fly o/on-the-fly
m/on-the-fly: $(patsubst %.mod, %.m.trs, $(filter on-the-fly/%.mod, $(MODFILES)))
o/on-the-fly: $(patsubst %.mod, %.o.trs, $(filter on-the-fly/%.mod, $(MODFILES)))

trend_var: m/trend_var o/trend_var
m/trend_var: $(patsubst %.mod, %.m.trs, $(filter trend_var/%.mod, $(MODFILES)))
o/trend_var: $(patsubst %.mod, %.o.trs, $(filter trend_var/%.mod, $(MODFILES)))

moments: m/moments o/moments
m/moments: $(patsubst %.mod, %.m.trs, $(filter moments/%.mod, $(MODFILES)))
o/moments: $(patsubst %.mod, %.o.trs, $(filter moments/%.mod, $(MODFILES)))

AIM: m/AIM o/AIM
m/AIM: $(patsubst %.mod, %.m.trs, $(filter AIM/%.mod, $(MODFILES)))
o/AIM: $(patsubst %.mod, %.o.trs, $(filter AIM/%.mod, $(MODFILES)))

second_order: m/second_order o/second_order
m/second_order: $(patsubst %.mod, %.m.trs, $(filter second_order/%.mod, $(MODFILES)))
o/second_order: $(patsubst %.mod, %.o.trs, $(filter second_order/%.mod, $(MODFILES)))

decision_rules: m/decision_rules o/decision_rules
m/decision_rules: $(patsubst %.mod, %.m.trs, $(filter decision_rules/%.mod, $(MODFILES)))
o/decision_rules: $(patsubst %.mod, %.o.trs, $(filter decision_rules/%.mod, $(MODFILES)))

k_order_perturbation: m/k_order_perturbation o/k_order_perturbation
m/k_order_perturbation: $(patsubst %.mod, %.m.trs, $(filter k_order_perturbation/%.mod, $(MODFILES)))
o/k_order_perturbation: $(patsubst %.mod, %.o.trs, $(filter k_order_perturbation/%.mod, $(MODFILES)))

optimal_policy/OSR: m/optimal_policy/OSR o/optimal_policy/OSR
m/optimal_policy/OSR: $(patsubst %.mod, %.m.trs, $(filter optimal_policy/OSR/%.mod, $(MODFILES)))
o/optimal_policy/OSR: $(patsubst %.mod, %.o.trs, $(filter optimal_policy/OSR/%.mod, $(MODFILES)))

optimal_policy/Ramsey: m/optimal_policy/Ramsey o/optimal_policy/Ramsey
m/optimal_policy/Ramsey: $(patsubst %.mod, %.m.trs, $(filter optimal_policy/Ramsey/%.mod, $(MODFILES)))
o/optimal_policy/Ramsey: $(patsubst %.mod, %.o.trs, $(filter optimal_policy/Ramsey/%.mod, $(MODFILES)))

optimal_policy: m/optimal_policy o/optimal_policy
m/optimal_policy: $(patsubst %.mod, %.m.trs, $(filter optimal_policy/%.mod, $(MODFILES)))
o/optimal_policy: $(patsubst %.mod, %.o.trs, $(filter optimal_policy/%.mod, $(MODFILES)))

discretionary_policy: m/discretionary_policy o/discretionary_policy
m/discretionary_policy: $(patsubst %.mod, %.m.trs, $(filter discretionary_policy/%.mod, $(MODFILES)))
o/discretionary_policy: $(patsubst %.mod, %.o.trs, $(filter discretionary_policy/%.mod, $(MODFILES)))

steady_state: m/steady_state o/steady_state
m/steady_state: $(patsubst %.mod, %.m.trs, $(filter steady_state/%.mod, $(MODFILES)))
o/steady_state: $(patsubst %.mod, %.o.trs, $(filter steady_state/%.mod, $(MODFILES)))

steady_state_operator: m/steady_state_operator o/steady_state_operator
m/steady_state_operator: $(patsubst %.mod, %.m.trs, $(filter steady_state_operator/%.mod, $(MODFILES)))
o/steady_state_operator: $(patsubst %.mod, %.o.trs, $(filter steady_state_operator/%.mod, $(MODFILES)))

deterministic_simulations/multiple_lead_lags: m/deterministic_simulations/multiple_lead_lags o/deterministic_simulations/multiple_lead_lags
m/deterministic_simulations/multiple_lead_lags: $(patsubst %.mod, %.m.trs, $(filter deterministic_simulations/multiple_lead_lags/%.mod, $(MODFILES)))
o/deterministic_simulations/multiple_lead_lags: $(patsubst %.mod, %.o.trs, $(filter deterministic_simulations/multiple_lead_lags/%.mod, $(MODFILES)))

deterministic_simulations: m/deterministic_simulations o/deterministic_simulations
m/deterministic_simulations: $(patsubst %.mod, %.m.trs, $(filter deterministic_simulations/%.mod, $(MODFILES)))
o/deterministic_simulations: $(patsubst %.mod, %.o.trs, $(filter deterministic_simulations/%.mod, $(MODFILES)))

simul: m/simul o/simul
m/simul: $(patsubst %.mod, %.m.trs, $(filter simul/%.mod, $(MODFILES)))
o/simul: $(patsubst %.mod, %.o.trs, $(filter simul/%.mod, $(MODFILES)))

ep: m/ep o/ep
m/ep: $(patsubst %.mod, %.m.trs, $(filter ep/%.mod, $(MODFILES)))
o/ep: $(patsubst %.mod, %.o.trs, $(filter ep/%.mod, $(MODFILES)))

ms-sbvar: m/ms-sbvar o/ms-sbvar
m/ms-sbvar: $(patsubst %.mod, %.m.trs, $(filter ms-sbvar/%.mod, $(MODFILES)))
o/ms-sbvar: $(patsubst %.mod, %.o.trs, $(filter ms-sbvar/%.mod, $(MODFILES)))

lmmcp: m/lmmcp o/lmmcp
m/lmmcp: $(patsubst %.mod, %.m.trs, $(filter lmmcp/%.mod, $(MODFILES)))
o/lmmcp: $(patsubst %.mod, %.o.trs, $(filter lmmcp/%.mod, $(MODFILES)))

loglinear: m/loglinear o/loglinear
m/loglinear: $(patsubst %.mod, %.m.trs, $(filter loglinear/%.mod, $(MODFILES)))
o/loglinear: $(patsubst %.mod, %.o.trs, $(filter loglinear/%.mod, $(MODFILES)))

gsa: m/gsa o/gsa
m/gsa: $(patsubst %.mod, %.m.trs, $(filter gsa/%.mod, $(MODFILES)))
o/gsa: $(patsubst %.mod, %.o.trs, $(filter gsa/%.mod, $(MODFILES)))

identification: m/identification o/identification
m/identification: $(patsubst %.mod, %.m.trs, $(filter identification/%.mod, $(MODFILES)))
o/identification: $(patsubst %.mod, %.o.trs, $(filter identification/%.mod, $(MODFILES)))

analytic_derivatives: m/analytic_derivatives o/analytic_derivatives
m/analytic_derivatives: $(patsubst %.mod, %.m.trs, $(filter analytic_derivatives/%.mod, $(MODFILES)))
o/analytic_derivatives: $(patsubst %.mod, %.o.trs, $(filter analytic_derivatives/%.mod, $(MODFILES)))

pruning: m/pruning o/pruning
m/pruning: $(patsubst %.mod, %.m.trs, $(filter pruning/%.mod, $(MODFILES)))
o/pruning: $(patsubst %.mod, %.o.trs, $(filter pruning/%.mod, $(MODFILES)))

fs2000: m/fs2000 o/fs2000
m/fs2000: $(patsubst %.mod, %.m.trs, $(filter fs2000/%.mod, $(MODFILES)))
o/fs2000: $(patsubst %.mod, %.o.trs, $(filter fs2000/%.mod, $(MODFILES)))

estimation/MH_recover: m/estimation/MH_recover o/estimation/MH_recover
m/estimation/MH_recover: $(patsubst %.mod, %.m.trs, $(filter estimation/MH_recover/%.mod, $(MODFILES)))
o/estimation/MH_recover: $(patsubst %.mod, %.o.trs, $(filter estimation/MH_recover/%.mod, $(MODFILES)))

estimation: m/estimation o/estimation
m/estimation: $(patsubst %.mod, %.m.trs, $(filter estimation/%.mod, $(MODFILES)))
o/estimation: $(patsubst %.mod, %.o.trs, $(filter estimation/%.mod, $(MODFILES)))

kalman/likelihood_from_dynare: m/kalman/likelihood_from_dynare o/kalman/likelihood_from_dynare
m/kalman/likelihood_from_dynare: $(patsubst %.mod, %.m.trs, $(filter kalman/likelihood_from_dynare/%.mod, $(MODFILES)))
o/kalman/likelihood_from_dynare: $(patsubst %.mod, %.o.trs, $(filter kalman/likelihood_from_dynare/%.mod, $(MODFILES)))

kalman/lik_init: m/kalman/lik_init o/kalman/lik_init
m/kalman/lik_init: $(patsubst %.mod, %.m.trs, $(filter kalman/lik_init/%.mod, $(MODFILES)))
o/kalman/lik_init: $(patsubst %.mod, %.o.trs, $(filter kalman/lik_init/%.mod, $(MODFILES)))

kalman: m/kalman o/kalman
m/kalman: $(patsubst %.mod, %.m.trs, $(filter kalman/%.mod, $(MODFILES)))
o/kalman: $(patsubst %.mod, %.o.trs, $(filter kalman/%.mod, $(MODFILES)))

dsge-var: m/dsge-var o/dsge-var
m/dsge-var: $(patsubst %.mod, %.m.trs, $(filter dsge-var/%.mod, $(MODFILES)))
o/dsge-var: $(patsubst %.mod, %.o.trs, $(filter dsge-var/%.mod, $(MODFILES)))

kalman_filter_smoother: m/kalman_filter_smoother o/kalman_filter_smoother
m/kalman_filter_smoother: $(patsubst %.mod, %.m.trs, $(filter kalman_filter_smoother/%.mod, $(MODFILES)))
o/kalman_filter_smoother: $(patsubst %.mod, %.o.trs, $(filter kalman_filter_smoother/%.mod, $(MODFILES)))

shock_decomposition: m/shock_decomposition o/shock_decomposition
m/shock_decomposition: $(patsubst %.mod, %.m.trs, $(filter shock_decomposition/%.mod, $(MODFILES)))
o/shock_decomposition: $(patsubst %.mod, %.o.trs, $(filter shock_decomposition/%.mod, $(MODFILES)))

conditional_forecasts: m/conditional_forecasts o/conditional_forecasts
m/conditional_forecasts: $(patsubst %.mod, %.m.trs, $(filter conditional_forecasts/%.mod, $(MODFILES)))
o/conditional_forecasts: $(patsubst %.mod, %.o.trs, $(filter conditional_forecasts/%.mod, $(MODFILES)))

optimizers: m/optimizers o/optimizers
m/optimizers: $(patsubst %.mod, %.m.trs, $(filter optimizers/%.mod, $(MODFILES)))
o/optimizers: $(patsubst %.mod, %.o.trs, $(filter optimizers/%.mod, $(MODFILES)))

gradient: m/gradient o/gradient
m/gradient: $(patsubst %.mod, %.m.trs, $(filter gradient/%.mod, $(MODFILES)))
o/gradient: $(patsubst %.mod, %.o.trs, $(filter gradient/%.mod, $(MODFILES)))

particle: m/particle o/particle
m/particle: $(patsubst %.mod, %.m.trs, $(PARTICLEFILES))
o/particle: $(patsubst %.mod, %.o.trs, $(PARTICLEFILES))

@ENABLE_MATLAB_TRUE@check-local: check-matlab

@ENABLE_OCTAVE_TRUE@check-local: check-octave

check-matlab: $(M_XFAIL_TRS_FILES) $(M_TRS_FILES)
	@./read_trs_files.sh "$(M_TRS_FILES)" "$(M_XFAIL_TRS_FILES)"

check-octave: $(O_XFAIL_TRS_FILES) $(O_TRS_FILES)
	@./read_trs_files.sh "$(O_TRS_FILES)" "$(O_XFAIL_TRS_FILES)"

%.m.trs %.m.log: %.mod
	@echo "`tput bold``tput setaf 8`MATLAB: $(CURDIR)/$*... `tput sgr0`"
# The while loop is a workaround for this glibc bug: https://sourceware.org/bugzilla/show_bug.cgi?id=19329
	@while ! [ -f $*.m.trs ] || head -1 $*.m.log | egrep -q '^Inconsistency detected by ld.so'; \
	do \
	DYNARE_VERSION="$(PACKAGE_VERSION)" TOP_TEST_DIR="$(CURDIR)" FILESTEM="$*" \
		$(MATLAB)/bin/matlab $(MATLAB_BATCH_OPTIONS) run_test_matlab > $*.m.log 2>&1 || \
		printf ":test-result: FAIL\n:number-tests: 1\n:number-failed-tests: 1\n:list-of-failed-tests: $*.mod\n:elapsed-time: 0.0\n" > $*.m.trs; \
	done
	@if test -z "$(filter $*.m.trs,$(M_XFAIL_TRS_FILES))"; then pass_color=2; fail_color=1; else pass_color=1; fail_color=2; fi; \
	if grep -q ":test-result: PASS" $*.m.trs; then \
	echo "`tput bold``tput setaf $${pass_color}`MATLAB: $(CURDIR)/$* PASSED!`tput sgr0`" ; \
	else \
	echo "`tput bold``tput setaf $${fail_color}`MATLAB: $(CURDIR)/$* FAILED!`tput sgr0`" ; \
	fi

%.m.drs %.m.log: %.m.trs
	@cat $*.m.log

%.m.trs %.m.log : %.m
	@echo "`tput bold``tput setaf 8`MATLAB: $(CURDIR)/$*... `tput sgr0`"
# The while loop is a workaround for this glibc bug: https://sourceware.org/bugzilla/show_bug.cgi?id=19329
	@while ! [ -f $*.m.trs ] || head -1 $*.m.log | egrep -q '^Inconsistency detected by ld.so'; \
	do \
	DYNARE_VERSION="$(PACKAGE_VERSION)" TOP_TEST_DIR="$(CURDIR)" \
		$(MATLAB)/bin/matlab $(MATLAB_BATCH_OPTIONS) $* > $*.m.log 2>&1 || \
		printf ":test-result: FAIL\n:number-tests: 1\n:number-failed-tests: 1\n:list-of-failed-tests: $*.mod\n:elapsed-time: 0.0\n" > $*.m.trs; \
	done
	@echo "`tput bold``tput setaf 8`MATLAB: $(CURDIR)/$* Done!`tput sgr0`"

%.o.trs %.o.log: %.mod
	@echo "`tput bold``tput setaf 8`OCTAVE: $(CURDIR)/$*... `tput sgr0`"
	@DYNARE_VERSION="$(PACKAGE_VERSION)" TOP_TEST_DIR="$(CURDIR)" FILESTEM="$*" \
		$(OCTAVE) --no-init-file --silent --no-history --path "$*.mod" run_test_octave.m > $*.o.log 2>&1 || \
	printf ":test-result: FAIL\n:number-tests: 1\n:number-failed-tests: 1\n:list-of-failed-tests: $*.mod\n:elapsed-time: 0.0\n" > $*.o.trs
	@if test -z "$(filter $*.o.trs,$(O_XFAIL_TRS_FILES))"; then pass_color=2; fail_color=1; else pass_color=1; fail_color=2; fi; \
	if grep -q ":test-result: PASS" $*.o.trs; then \
	echo "`tput bold``tput setaf $${pass_color}`OCTAVE: $(CURDIR)/$* PASSED!`tput sgr0`" ; \
	else \
	echo "`tput bold``tput setaf $${fail_color}`OCTAVE: $(CURDIR)/$* FAILED!`tput sgr0`" ; \
	fi

%.o.drs %.o.log: %.mod %.o.trs
	@cat $*.o.log

%.o.trs %.o.log : %.m
	@echo "`tput bold``tput setaf 8`OCTAVE: $(CURDIR)/$*... `tput sgr0`"
	@DYNARE_VERSION="$(PACKAGE_VERSION)" TOP_TEST_DIR="$(CURDIR)" \
		$(OCTAVE) --no-init-file --silent --no-history $< > $*.o.log 2>&1 || \
		printf ":test-result: FAIL\n:number-tests: 1\n:number-failed-tests: 1\n:list-of-failed-tests: $*.m\n:elapsed-time: 0.0\n" > $*.o.trs
	@echo "`tput bold``tput setaf 8`OCTAVE: $(CURDIR)/$* Done!`tput sgr0`"

%.m.tls : %.m
	@echo "`tput bold``tput setaf 8`MATLAB: $(CURDIR)/$*... `tput sgr0`"
	@TOP_TEST_DIR="$(CURDIR)" FILESTEM="$*" \
		$(MATLAB)/bin/matlab $(MATLAB_BATCH_OPTIONS) run_m_script >/dev/null 2>&1
	@touch $*.m.tls
	@echo "`tput bold`MATLAB`tput setaf 8`: $(CURDIR)/$* Done!`tput sgr0`"

%.o.tls : %.m
	@echo "`tput bold``tput setaf 8`OCTAVE: $(CURDIR)/$*... `tput sgr0`"
	@TOP_TEST_DIR="$(CURDIR)"  FILESTEM="$*" \
		$(OCTAVE) --no-init-file --silent --no-history run_o_script.m 2>&1
	@touch $*.o.tls
	@echo "`tput bold``tput setaf 8`OCTAVE: $(CURDIR)/$* Done!`tput sgr0`"

clean-local:
	rm -f $(M_TRS_FILES)
	rm -f $(M_TLS_FILES)
	rm -f $(M_XFAIL_TRS_FILES)
	rm -f $(O_TRS_FILES)
	rm -f $(O_TLS_FILES)
	rm -f $(O_XFAIL_TRS_FILES)
	rm -f $(patsubst %.trs, %.log, $(M_TRS_FILES))
	rm -f $(patsubst %.trs, %.log, $(M_XFAIL_TRS_FILES))
	rm -f $(patsubst %.trs, %.log, $(O_TRS_FILES))
	rm -f $(patsubst %.trs, %.log, $(O_XFAIL_TRS_FILES))
	rm -f $(patsubst %.trs, %.json, $(M_TRS_FILES))
	rm -f $(patsubst %.trs, %.json, $(M_XFAIL_TRS_FILES))
	rm -f $(patsubst %.trs, %.json, $(O_TRS_FILES))
	rm -f $(patsubst %.trs, %.json, $(O_XFAIL_TRS_FILES))

	rm -f $(patsubst %.mod, %_results.mat, $(MODFILES))
	rm -f $(patsubst %.mod, %_mode.mat, $(MODFILES))
	rm -f $(patsubst %.mod, %_mh_mode.mat, $(MODFILES))
	rm -f $(patsubst %.mod, %_mean.mat, $(MODFILES))
	rm -f $(patsubst %.mod, %_pindx.mat, $(MODFILES))
	rm -f $(patsubst %.mod, %_params.mat, $(MODFILES))
	rm -f $(patsubst %.mod, %_simul, $(MODFILES))
	rm -f $(patsubst %.mod, %.log, $(MODFILES))

	rm -rf $(patsubst %.mod, %, $(MODFILES))

	rm -rf $(foreach mod, $(MODFILES), $(dir $(mod))+$(basename $(notdir $(mod))))

	rm -f $(patsubst %.mod, %*.pdf, $(MODFILES))
	rm -f $(patsubst %.mod, %*.eps, $(MODFILES))
	rm -f $(patsubst %.mod, %*.fig, $(MODFILES))

	rm -f $(shell find -name g1.mat)
	rm -f $(shell find -name g2.mat)
	rm -f $(shell find -name g3.mat)
	rm -f $(shell find -name H.dat)

	rm -f arima/data1.m arima/data2.m \
		k_order_perturbation/*.jnl \
		k_order_perturbation/*.mat \
		kalman_filter_smoother/data.mat

	rm -f data_ca1_csv.csv

	rm -f estimation/MH_recover/*.mat \
		estimation/MH_recover/*.dat

	rm -rf ramsey_objective

	rm -f ep/*.c

	rm -f fs2000_ssfile_steadystate.m

	rm -f $(shell find -name '*~')

	rm -f dsge-var/datarabanal_hybrid.m

	rm -rf partial_information/PItest3aHc0PCLsimModPiYrVarobsAll_PCL* partial_information/PItest3aHc0PCLsimModPiYrVarobsCNR_PCL*

	rm -rf block_bytecode/ls2003_tmp*

	rm -f reporting/report.*

	rm -f $(shell find -name wsOct) \
		$(shell find -name wsMat.mat)

	rm -f run_test_matlab_output.txt run_test_octave_output.txt

	rm -rf ms-sbvar/init_* \
		ms-sbvar/*.out \
		ms-sbvar/*.mat \
		ms-sbvar/*.prn \
		ms-sbvar/*.dat \
		ms-sbvar/tmv_rr_sr \
		ms-sbvar/tmv_rr_tr

	rm -f estimation/test_matrix.mat

	rm -f initval_file/ramst_initval_file_data_col_vec_mat.mat initval_file/ramst_initval_file_data_row_vec_mat.mat initval_file/ramst_initval_file_excel.xls

	rm -f loglinear/results_exp_histval.mat loglinear/results_exp.mat

	rm -f k_order_perturbation/fs2000k++.mat k_order_perturbation/fs2000k++.dump \
		k_order_perturbation/fs2000k++.jnl k_order_perturbation/fs2000k++_f.m \
		k_order_perturbation/fs2000k++_ff.m

	rm -f discretionary_policy/dennis_simul.m

	rm -f kalman/likelihood_from_dynare/fsdat_simul_corr_ME.m \
		kalman/likelihood_from_dynare/fsdat_simul_corr_ME_missing.m \
		kalman/likelihood_from_dynare/fsdat_simul_uncorr_ME.m \
		kalman/likelihood_from_dynare/fsdat_simul_uncorr_ME_missing.m \
		kalman/likelihood_from_dynare/fs_ns_dat_simul_corr_ME.m \
		kalman/likelihood_from_dynare/fs_ns_dat_simul_corr_ME_missing.m \
		kalman/likelihood_from_dynare/fs_ns_dat_simul_uncorr_ME.m \
		kalman/likelihood_from_dynare/fs_ns_dat_simul_uncorr_ME_missing.m

	find . -name "*.tex" -type f -delete
	find . -name "*.aux" -type f -delete
	find . -name "*.log" -type f -delete
	find . -name "*.eps" -type f -delete

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
